include("random_generators.jl")                                     # Code %*\ref{lst:random_generators}*)
include("tsp_GA.jl")                                                # Code %*\ref{lst:tsp_GA}*)

println("Number of cities: ")
n = parse(Int, readline())
println("Size of the population: ")
population_size = parse(Int, readline())
println("Mutation rate: ")
mutation_rate = parse(Float64, readline())
println("Number of generations: ")
nr_generations = parse(Int, readline())

distances = rand_sym_matrix(n, 1, 99)
tour, cost = tsp_GA(distances, population_size, nr_generations, mutation_rate)
println("Cost of solution found with GA: $(cost)")

